# a GNUPLOT script
#
# to produce output in the form of *.eps figure:
# 1. run gnuplot in the directory of this file
# 2. and type: load 'this_file'
# =================================================================================

set term post enh eps color solid "Helvetica" 20
set output "binder_4.eps"

set key noauto

set size 1,1
set origin 0,0
# set title "MC:Wolff for a generalised XY model at j=0.08"
set xtics 0,0.001 font "Helvetica,20" textcolor lt 0   # tics of the major plot
set ytics 0,0.25 font "Helvetica,20" textcolor lt 0
set xrange [0.17:0.173]
set yrange [1.5:2.25] 
set key bottom right                     # legend position

set size 1,1                             # The first one (host plot)
set origin 0,0                           # origin of the major plot
set xlabel "T / J"                       # x-axis label
set ylabel "( binder_4 ) / 1"        # y-axis label
plot "data/binder_4_j0.08_N8.txt" using 1:2:3 title 'N=8' with errorbars, \
    "data/binder_4_j0.08_N16.txt" using 1:2:3 title 'N=16' with errorbars,  \
    "data/binder_4_j0.08_N32.txt" using 1:2:3 title 'N=32' with errorbars,  \
    "data/binder_4_j0.08_N64.txt" using 1:2:3 title 'N=64' with errorbars,  \
    "data/binder_4_j0.08_N128.txt" using 1:2:3 title 'N=128' with errorbars,  \
    "data/binder_4_j0.08_N256.txt" using 1:2:3 title 'N=256' with errorbars, \
    "data/binder_4_j0.08_N8.txt" using 1:2:3  with lines, \
    "data/binder_4_j0.08_N16.txt" using 1:2:3  with lines,  \
    "data/binder_4_j0.08_N32.txt" using 1:2:3  with lines,  \
    "data/binder_4_j0.08_N64.txt" using 1:2:3  with lines,  \
    "data/binder_4_j0.08_N128.txt" using 1:2:3  with lines,  \
    "data/binder_4_j0.08_N256.txt" using 1:2:3  with lines
