# a GNUPLOT script
#
# to produce output in the form of *.eps figure:
# 1. run gnuplot in the directory of this file
# 2. and type: load 'this_file'
# =================================================================================

set term post enh eps color solid "Helvetica" 20
set output "susceptibility.eps"

set key noauto

set size 1,1
set origin 0,0
# set title "MC:Wolff for a generalised XY model at j=0.08"
set xtics 0.170,0.001 font "Helvetica,20" textcolor lt 0   # tics of the major plot
set ytics 0,0.25 font "Helvetica,20" textcolor lt 0
set xrange [0.17:0.173]
set yrange [2:3.5] 
set key right top box lc 0 lt 3 lw 3                    # legend position

set size 1,1                             # The first one (host plot)
set origin 0,0                           # origin of the major plot
set xlabel "T / J"                       # x-axis label
set ylabel "( susceptibility * N^{-7/4} ) / J^{-1}"        # y-axis label
plot "data/susceptibility_j0.08_N8.txt" using 1:($2 /8.0**(7.0/4.0)):($3 /8.0**(7.0/4.0)) title 'N=8' with errorbars, \
    "data/susceptibility_j0.08_N16.txt" using 1:($2/16**(7.0/4)):($3/16**(7.0/4)) title 'N=16' with errorbars,  \
    "data/susceptibility_j0.08_N32.txt" using 1:($2/32**(7.0/4)):($3/32**(7.0/4)) title 'N=32' with errorbars,  \
    "data/susceptibility_j0.08_N64.txt" using 1:($2/64**(7.0/4)):($3/64**(7.0/4)) title 'N=64' with errorbars,  \
    "data/susceptibility_j0.08_N128.txt" using 1:($2/128**(7.0/4)):($3/128**(7.0/4)) title 'N=128' with errorbars,  \
    "data/susceptibility_j0.08_N256.txt" using 1:($2/256**(7.0/4)):($3/256**(7.0/4)) title 'N=256' with errorbars, \
    "data/susceptibility_j0.08_N8.txt" using 1:($2 /8.0**(7.0/4.0)):($3 /8.0**(7.0/4.0))  with lines, \
    "data/susceptibility_j0.08_N16.txt" using 1:($2/16**(7.0/4)):($3/16**(7.0/4))  with lines,  \
    "data/susceptibility_j0.08_N32.txt" using 1:($2/32**(7.0/4)):($3/32**(7.0/4))  with lines,  \
    "data/susceptibility_j0.08_N64.txt" using 1:($2/64**(7.0/4)):($3/64**(7.0/4))  with lines,  \
    "data/susceptibility_j0.08_N128.txt" using 1:($2/128**(7.0/4)):($3/128**(7.0/4))  with lines,  \
    "data/susceptibility_j0.08_N256.txt" using 1:($2/256**(7.0/4)):($3/256**(7.0/4))  with lines
